package com.perforce.hws.route;

import com.perforce.hws.utils.HWSSettings;
import spark.Request;
import spark.Response;
import spark.Route;

/**
 * GET /config/p4ds
 */
public class HwsGetP4dServersRoute implements Route {

    @Override
    public Object handle(Request request, Response response) throws Exception {
        HWSSettings settings = request.attribute("settings");
        return settings.getP4dConfigIds();
    }
}
